<script>
  let newsObject;

async function fetchData() {
const response = await fetch(
  "https://newsapi.org/v2/everything?q=tesla&from=2023-05-09&sortBy=publishedAt&apiKey=56f65de86fa249409e0c011b59e97bed"
);
newsObject = await response.json();
newsObject = await newsObject.articles;
}

fetchData();
</script>

<main class="flex justify-center items-center w-screen my-6">
<div class="flex flex-col gap-y-3 items-center">
{#if !newsObject}
  <h1 class="text-center">Loading...</h1>
{:else}
  {#each newsObject.articles as articles}
    <div class="newsDropdownable">
      <h1
        class="relative font-sans h-12 w-full flex items-center px-2"
      >
        {articles.title}
      </h1>
      <div>
        <p class="text-xs/6 font-bold">by {articles.author}</p>
        <p class="text-justify">{articles.description}</p>
      </div>
    </div>
  {/each}
{/if}
</div>
</main>

<style lang="postcss">
.newsDropdownable {
@apply w-4/5 rounded-md bg-gray-100;
}
</style>
